All endpoints are under https://www.20dragons.com/api, require the Authorization: Bearer YOUR_API_TOKEN header (see API authentication), and return JSON.

Account and credits

Method Path Purpose
GET /me Your account and organization details
GET /credits Your credit balance and available credit packages
GET /payments Your payment history
GET /platform-domains Platform domains available to you
GET /usage/free-subdomains Your free-subdomain usage and quota

See Account and credits endpoints.

Subdomains

Method Path Purpose
GET /subdomains List your subdomains
POST /subdomains Register a subdomain
GET /subdomains/{fqdn} Get one subdomain
DELETE /subdomains/{fqdn} Remove a subdomain
PUT /subdomains/{fqdn}/nameservers Update nameservers, glue, and DS records
POST /subdomains/{fqdn}/retry Retry provisioning
POST /subdomains/{fqdn}/renew Renew a subdomain

See Subdomain endpoints.

Support tickets

Method Path Purpose
GET /support/tickets List your support tickets
POST /support/tickets Create a support ticket
GET /support/tickets/{id} Get one ticket, including messages
POST /support/tickets/{id}/reply Reply to your ticket

See Support ticket endpoints.